package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterTableMovePartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   private SQLName name;
   private SQLName tablespace;
   private DmAlterTableModifyPartition.Type type;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public DmAlterTableModifyPartition.Type getType() {
      return this.type;
   }

   public void setType(DmAlterTableModifyPartition.Type type) {
      this.type = type;
   }

   public SQLName getTablespace() {
      return this.tablespace;
   }

   public void setTablespace(SQLName tablespace) {
      this.tablespace = tablespace;
   }
}
